<!DOCTYPE html>
<!--[if IE 8]>
<html <?php language_attributes(); ?> class="ie8"> <![endif]-->
<!--[if !IE]><!-->
<html <?php language_attributes(); ?>> <!--<![endif]-->

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <title><?php wp_title('|', true, 'right'); ?><?php bloginfo('name'); ?></title>
    <meta name="description" content="<?php bloginfo('description'); ?>">

    <!-- Mobile Specific Meta -->
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    <!--[if lt IE 9]>
    <script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->


    <?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>

<header <?php if (!is_home()) : ?> class="custom-header" <?php endif; ?>>
    <div class="container">

        <div class="menu-logo">

            <div class="row">
                <div class="col-sm-4 col-xs-6 ">
                    <div class="logo">
                        <a href="<?php echo home_url(); ?>"><img src="<?php the_field('logo', 'options'); ?>"
                                                                 alt="<?php bloginfo('name'); ?>"
                                                                 class="img-responsive"></a>
                    </div>
                </div>
                <div class="col-sm-8  col-xs-6">
                    <ul class="list-inline social">

                        <li class="menu-trigger-icon"><a href="" id="menu-trigger">
                                <div class="nav-icon">
                                    <span></span>
                                </div>
                            </a></li>
                        <?php if (get_field('facebook', 'options')) : ?>
                            <li><a href="<?php the_field('facebook', 'options') ?>"><i class="fa fa-facebook"></i></a>
                            </li>
                        <?php endif; ?>
                        <?php if (get_field('twitter', 'options')) : ?>
                            <li><a href="<?php the_field('twitter', 'options') ?>"><i class="fa fa-twitter"></i></a>
                            </li>
                        <?php endif; ?>
                        <?php if (get_field('youtube', 'options')) : ?>
                            <li><a href="<?php the_field('youtube', 'options') ?>"><i class="fa fa-youtube"></i></a>
                            </li>
                        <?php endif; ?>
                        <?php if (get_field('instagram', 'options')) : ?>
                            <li><a href="<?php the_field('instagram', 'options') ?>"><i class="fa fa-instagram"></i></a>
                            </li>
                        <?php endif; ?>
                    </ul>
                </div>


            </div>
        </div>

        <div class="header-context wow fadeIn" id="myHead">
            <p class="wow fadeInDown">
                رواد في
                مجال خدمات التنظيف
                ونقل الاثاث
            </p>
            <a href="">شاهد التفاصيل والخدمات</a>
        </div>
    </div>

</header>
<!-- The overlay -->
<div id="myNav" class="overlay">

    <!-- Button to close the overlay navigation -->
    <a href="" class="closebtn" id="closebtn">&times;</a>

    <!-- Overlay content -->
    <div class="navbar-default overlay-content ">
        <?php
        wp_nav_menu(array(
                'menu' => 'main',
                'theme_location' => 'main',
                'depth' => 2,
                'container' => '',
                'menu_class' => 'nav navbar-nav',
                'fallback_cb' => 'wp_bootstrap_navwalker::fallback',
                'walker' => new wp_bootstrap_navwalker()
            )
        );
        ?>
    </div>


</div>







