<?php
/* Template Name: Blog */
get_header();
wp_reset_query(); ?>


<div class="breadcrumbs" typeof="BreadcrumbList" vocab="http://schema.org/">
    <div class="container">
        <?php
        if (function_exists('yoast_breadcrumb')) {
            yoast_breadcrumb('
<p id="breadcrumbs">', '</p>
');
        }
        ?>
    </div>
</div>

<section class="blog-page">
    <div class="container">
        <?php
        global $paged;
        if (get_query_var('paged')) {
            $my_page = get_query_var('paged');
        } else {
            if (get_query_var('page')) {
                $my_page = get_query_var('page');
            } else {
                $my_page = 1;
            }
            set_query_var('paged', $my_page);
            $paged = $my_page;
        }; ?>
        <?php $postsQuery = array(
            'post_type' => 'post',
            'posts_per_page' => 9,
            'paged' => $my_page
        );
        $allPosts = new WP_Query($postsQuery);
        while ($allPosts->have_posts()) : $allPosts->the_post(); ?>
            <div <?php post_class('single-blog-item'); ?>>
                <div class="row">
                    <a href="<?php the_permalink(); ?>">
                        <div class="col-sm-4 hidden-xs">
                            <?php
                            if (get_the_post_thumbnail()) :
                                echo get_the_post_thumbnail($post->id, 'medium', array('class' => 'img-responsive'));
                            else : ?>
                                <img src="<?php echo IMAGES; ?>/no-img.jpg" alt="<?php the_title(); ?> "
                                     class="img-responsive">
                            <?php endif; ?>
                        </div>
                        <div class="col-sm-8">
                            <div class="blog-item-data">
                                <h1><?php the_title(); ?></h1>
                                <span><i class="fa fa-calendar"></i><?php echo get_the_date($post->id); ?></span>
                                <span><i class="fa fa-comment-o"></i> <?php comments_number(); ?></span>
                                <?php the_excerpt(); ?>
                            </div>
                        </div>
                    </a>
                </div>
            </div>
        <?php endwhile;
        wp_reset_query(); ?>
        <div class="center">
            <?php wp_pagenavi(array('query' => $allPosts)); ?>
        </div>


    </div>
</section>


<br><br><br><br><br>
<section class="subscribe">
    <div class="container">
        <div class="row">
            <div class="subscribe-form">
                <div class="col-md-4">
                    <i class="fa fa-envelope-open-o"></i>
                    <h5>النشرة البريدية</h5>
                    <h6>اكتب بريدك الالكتروني ليصلك عروضنا</h6>
                </div>
                <div class="col-md-8">
                    <?php echo do_shortcode('[mailpoet_form id="1"]') ?>

                </div>
            </div>
        </div>
    </div>
</section>
<?php get_footer(); ?>
